Get License Check Result By ID

Get License Check Result By ID
Retrieve the results of a license check by its ID

Retrieve the results of a license check by its ID

Request
URI
GET
https://{api_host}/v1/resources/license-checks/{id}
COPY
Path Parameters
string
id
Required

The resources license check ID


Responses
200

Successful

Returns ResourcesLicenseCheckResult of type(s) application/json
{
    "id": "string",
    "startTimestamp": "string",
    "endTimestamp": "string",
    "status": "One among: PENDING, Pending, IN_PROGRESS, In Progress, SUCCESSFUL, Successful, FAILED, Failed, CANCELLED, Cancelled, COMPLETED_WITH_WARNING, SKIPPED",
    "resourceLicensingInfos": [
        {
            "resourceInfo": {
                "domainId": "f0bf0f65-f719-4c2d-980a-29a9094045b5",
                "clusterId": "a0bf0f65-f719-4c2d-980a-29a9094045b5",
                "hostId": "b0bf0f65-f719-4c2d-980a-29a9094045b5"
            },
            "productInfo": {
                "licenseKey": "XXXXX-XXXXX-XXXXX-XXXXX-XXXXX",
                "type": "One among: VCENTER, NSXT, VSAN, WCP, ESXI",
                "licensingMode": "One among: SUBSCRIPTION, PERPETUAL, MIXED",
                "licenseKeyStatus": "One among: EXPIRED, ACTIVE, NEVER_EXPIRES",
                "licenseKeyExpirationDate": "2021-04-08T04:37:51.662Z",
                "errorResponse": {
                    "errorCode": "string",
                    "errorType": "string",
                    "arguments": [
                        "string"
                    ],
                    "context": {
                        "context": "string"
                    },
                    "message": "string",
                    "remediationMessage": "string",
                    "causes": [
                        {
                            "type": "string",
                            "message": "string"
                        }
                    ],
                    "nestedErrors": [
                        {
                            "errorCode": "string",
                            "errorType": "string",
                            "arguments": [
                                "string"
                            ],
                            "context": {
                                "context": "string"
                            },
                            "message": "string",
                            "remediationMessage": "string",
                            "causes": [
                                {
                                    "type": "string",
                                    "message": "string"
                                }
                            ],
                            "nestedErrors": [
                                {
                                    "errorCode": "string",
                                    "errorType": "string",
                                    "arguments": [
                                        "string"
                                    ],
                                    "context": {
                                        "context": "string"
                                    },
                                    "message": "string",
                                    "remediationMessage": "string",
                                    "causes": [
                                        {
                                            "type": "string",
                                            "message": "string"
                                        }
                                    ],
                                    "nestedErrors": [
                                        "Error Object"
                                    ],
                                    "referenceToken": "string"
                                }
                            ],
                            "referenceToken": "string"
                        }
                    ],
                    "referenceToken": "string"
                }
            }
        }
    ]
}
string
id
Read-Only

ID of the resources license check task

string
startTimestamp
Read-Only

Task start timestamp

string
endTimestamp
Read-Only

Task end timestamp

string
status
Read-Only

Task status

array of object
resourceLicensingInfos
Read-Only

List of licensing infos of resources


400

Bad Request

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only

The minor error code

string
errorType
Read-Only

The error type

array of string
arguments
Read-Only

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only

The error context (e.g. the component where it occurred).

string
message
Read-Only

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.


500

Internal server error

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only

The minor error code

string
errorType
Read-Only

The error type

array of string
arguments
Read-Only

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only

The error context (e.g. the component where it occurred).

string
message
Read-Only

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/resources/license-checks/{id}